Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Readers > Amazon Kindle > Kindle Developer's Corner

Notices

Reply
 
Thread Tools Search this Thread
Old 01-11-2024, 06:44 PM   #1
jnikkir
Connoisseur
jnikkir doesn't litterjnikkir doesn't litter
 
Posts: 51
Karma: 198
Join Date: Feb 2022
Device: Kindle PW5/11th Gen
Question KOReader/KUAL not launching after update to 5.16.6

So, I was stupid and updated my (jailbroken, 5.14.3) Kindle Paperwhite to the latest software, 5.16.6, mistakenly thinking that it wouldn't affect functionality of KOReader... Well, obviously I was wrong. When I try to open KOReader or KUAL, Kindle gives me an "Application Error: The selected application could not be started."

Did I lose my jailbreak? KOReader is still there--the files are all still present on the device--so is there a way to get it operational again? If so, I would super appreciate if anyone can point me in the right direction...

The one thing I did try, before I decided I didn't want to do more harm than good and should probably ask people who know what they're doing--I tried dropping NiLuJe's latest hotfix .bin file into the Kindle's main directory, thinking I'd try running that. But as soon as I ejected my Kindle from my computer, it gave me an error that it detected an invalid installer file (I can't remember the message's exact wording)... So now I really don't want to screw anything up more than I already have...

Any and all help is appreciated, thank you!!

jnikkir is offline   Reply With Quote
Old 01-11-2024, 09:13 PM   #2
mergen3107
Wizard
mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.
 
mergen3107's Avatar
 
Posts: 1,057
Karma: 3000026
Join Date: Feb 2012
Location: Cape Canaveral
Device: Kindle Scribe
Just follow restoring JB + downgrade instructions. E.g., https://www.mobileread.com/forums/sh...68#post4379468
mergen3107 is offline   Reply With Quote
Advert
Old 01-11-2024, 10:56 PM   #3
jnikkir
Connoisseur
jnikkir doesn't litterjnikkir doesn't litter
 
Posts: 51
Karma: 198
Join Date: Feb 2022
Device: Kindle PW5/11th Gen
Thanks so much for replying!
I actually already tried what you outlined there, but it didn't work... Well, the downgrade itself worked, but when I try to install the hotfix the last time, Kindle gives me an (official) error screen: "Update failed. Sorry, something went wrong. Press the power button to restart your Kindle."

I tried restarting twice anyway in case it actually worked, but nope... I also tried installing the hotfix by dropping it in the mrpackages folder and running ;log mrpi... It initiates, but then gives a message saying something like "not targeting your FW version, skipping" and the next message is "Destroying package . . ." It then loads a completely blank (but backlit!) screen, and I have to hold the power button to restart...

Edited to add the correct MRPI error message. I thought this was supposed to work with 5.16.2.1.1......?

Last edited by jnikkir; 01-11-2024 at 11:31 PM.
jnikkir is offline   Reply With Quote
Old 01-13-2024, 05:49 PM   #4
jnikkir
Connoisseur
jnikkir doesn't litterjnikkir doesn't litter
 
Posts: 51
Karma: 198
Join Date: Feb 2022
Device: Kindle PW5/11th Gen
Quick update: I haven’t tried anything since my last post but I’m wondering about two options:

1) Try downgrading again to 5.16.2.1 and see if the hotfix will work.

2) Factory reset (twice?) and try a fresh jailbreak. But is there a chance the jailbreak won’t work? And I’m wondering if there’s a way to save all my settings in KOReader (gestures especially)…
jnikkir is offline   Reply With Quote
Old 01-13-2024, 05:58 PM   #5
mergen3107
Wizard
mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.
 
mergen3107's Avatar
 
Posts: 1,057
Karma: 3000026
Join Date: Feb 2012
Location: Cape Canaveral
Device: Kindle Scribe
JB will NOT work on anything >5.16.2. Do NOT do two factory reset - you will kill JB for good.
mergen3107 is offline   Reply With Quote
Advert
Old 01-13-2024, 10:22 PM   #6
jnikkir
Connoisseur
jnikkir doesn't litterjnikkir doesn't litter
 
Posts: 51
Karma: 198
Join Date: Feb 2022
Device: Kindle PW5/11th Gen
Ok, so factory reset is out… should I downgrade to 5.16.2.1, or does that not matter? Why does the hotfix think I have the wrong firmware? (EDIT: or do you mean I need to downgrade lower than 5.16.2 altogether, to 5.16.1.something?)

I also saw something in another thread about someone needing to install both NiLuJe’s and the LanguageBreak hotfix, is that something I need to consider? My original jailbreak was the watchthis jailbreak on 5.14.2 and then I updated to 5.14.3 (keeping the JB) and stayed on that until this whole fiasco with the 5.16.6 update…

I’m just at a loss about what to try next. Not sure what is safe or what might break something…

Last edited by jnikkir; 01-13-2024 at 10:29 PM.
jnikkir is offline   Reply With Quote
Old 01-14-2024, 05:46 AM   #7
Marek
Zealot
Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.Marek writes prose that makes the Gods weep.
 
Marek's Avatar
 
Posts: 109
Karma: 104932
Join Date: Jul 2023
Device: PW4 :(, KT5, PB628
Quote:
Originally Posted by jnikkir View Post
Ok, so factory reset is out… should I downgrade to 5.16.2.1, or does that not matter? Why does the hotfix think I have the wrong firmware? (EDIT: or do you mean I need to downgrade lower than 5.16.2 altogether, to 5.16.1.something?)

I also saw something in another thread about someone needing to install both NiLuJe’s and the LanguageBreak hotfix, is that something I need to consider? My original jailbreak was the watchthis jailbreak on 5.14.2 and then I updated to 5.14.3 (keeping the JB) and stayed on that until this whole fiasco with the 5.16.6 update…

I’m just at a loss about what to try next. Not sure what is safe or what might break something…
Downgrade to 5.16.2.1.1 (or lower) the kindle architecture changed from soft float to hard floats on 5.16.3 which means all compiled binaries don't work on it until the toolchain Is updated and binaries recompiled.
Marek is offline   Reply With Quote
Old 01-14-2024, 06:06 AM   #8
shamanNS
Guru
shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.shamanNS ought to be getting tired of karma fortunes by now.
 
Posts: 880
Karma: 10113994
Join Date: Feb 2010
Location: Serbia
Device: Kindle PW5 [bricked], Kindle PW1
The toolchain is not gonna update itself...
shamanNS is offline   Reply With Quote
Old 01-14-2024, 10:51 AM   #9
jnikkir
Connoisseur
jnikkir doesn't litterjnikkir doesn't litter
 
Posts: 51
Karma: 198
Join Date: Feb 2022
Device: Kindle PW5/11th Gen
Quote:
Originally Posted by Marek View Post
Downgrade to 5.16.2.1.1 (or lower) the kindle architecture changed from soft float to hard floats on 5.16.3 which means all compiled binaries don't work on it until the toolchain Is updated and binaries recompiled.
Sorry it wasn’t clear—I already downgraded to 5.16.2.1.1… Am still having issues installing the hotfix.
jnikkir is offline   Reply With Quote
Old 01-15-2024, 01:05 PM   #10
jnikkir
Connoisseur
jnikkir doesn't litterjnikkir doesn't litter
 
Posts: 51
Karma: 198
Join Date: Feb 2022
Device: Kindle PW5/11th Gen
I have some time to try to continue troubleshooting this today, so a quick recap in case anyone has any ideas…

After updating to 5.16.6, I was obviously unable to open KOReader or KUAL—“Application Error: The selected application could not be started.” I have now (successfully, I think) downgraded once, from 5.16.6 to 5.16.2.1.1—Kindle device info page says that’s my software version. But when I try to apply NiLuJe’s hotfix via mrpi, it starts to install but then tells me “not targeting your FW version, skipping.” I am still getting the same official Kindle “Application Error” if I try to open KOR/KUAL.

Notes:
1) I have had my device on airplane mode since the initial downgrade.
2) I can still see the ***JAILBREAK*** message at the bottom of one of the splash screens during restart.

If I can provide any other info that might help diagnose my problem, please let me know. Any help is appreciated!!
jnikkir is offline   Reply With Quote
Old 01-15-2024, 06:46 PM   #11
jnikkir
Connoisseur
jnikkir doesn't litterjnikkir doesn't litter
 
Posts: 51
Karma: 198
Join Date: Feb 2022
Device: Kindle PW5/11th Gen
Ok, I was able to fix things myself -- KUAL and KOReader are opening and working fine now.

The key was that I needed to reinstall MRPI -- this was why I was getting errors during MRPI install about "targeting your FW version." I thought it was a problem with my Kindle's FW, but it was a problem with MRPI.

Once I updated MRPI w/ the files in NiLuJe's snapshots post, I was able to install the JB hotfix through ;log mrpi with no issue. Then I installed the KUAL (coplate) hotfix through ;log mrpi. I can now launch KUAL no problem, and was able to run "update OTA bin" through KUAL. Finally, I installed the hotfix for KUAL Booklet (to quick-launch KOReader), and all is working perfectly.

tl;dr, this was what worked:
  1. Accidentally update to 5.16.6.
  2. Follow instructions here re: installing the 4 "emergency" files.
  3. Drop the official .bin for 5.16.2.1 or 5.16.2.1.1 into the main Kindle folder; eject/unplug Kindle; update via UYK.
  4. Update MR Package Installer (from snapshots page), then restart (i.e., replace your Kindle's current extensions/MRInstaller folder with the extensions/MRInstaller folder from the snapshots page; DON'T DELETE THE OTHER ITEMS IN THE /extensions FOLDER!!)
  5. Install NiLuJe's K5 JailBreak Hotfix via ;log mrpi (hotfix file from snapshots page), then restart twice
  6. Install KUAL hotfix via ;log mrpi
  7. Install KUAL Booklet hotfix via ;log mrpi
jnikkir is offline   Reply With Quote
Old 02-10-2024, 05:45 PM   #12
sirgilmour
Junior Member
sirgilmour began at the beginning.
 
Posts: 9
Karma: 10
Join Date: Feb 2024
Device: Kindle Scribe
I'm on firmware 5.16.6 and i copie the

# Patch version
VER=336034
cp /etc/version.txt /mnt/us/version.txt.backup
sed -i -E "1 s/(-)([0-9]+)$/\1${VER}/g" "/etc/version.txt"

before the bye message as it appears in the snapshot

the 4 files did not diseapear and the update file is detected by the kindle and removed

the link for tghe emergency files says that it's for firmware 5.16.4 by the way.

I spoke to a few people on reddit and been told that 5.16.6 is not downgradeable yet
sirgilmour is offline   Reply With Quote
Old 02-12-2024, 07:03 PM   #13
mergen3107
Wizard
mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.mergen3107 ought to be getting tired of karma fortunes by now.
 
mergen3107's Avatar
 
Posts: 1,057
Karma: 3000026
Join Date: Feb 2012
Location: Cape Canaveral
Device: Kindle Scribe
A user from 4PDA forum confirmed that emergy script worked on 5.16.6 on PW5.

Try following all instructions on how to restore JB from here: https://4pda.to/forum/index.php?show...#entry89984030
You need it to translate it though
mergen3107 is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
KOReader freezes while launching on Kindle 3 kbel KOReader 12 01-12-2024 05:38 PM
KT2 Help installing Koreader with Kual arcadiandarkness Kindle Developer's Corner 1 07-19-2023 08:19 AM
Koreader not launching anymore on my kobo after update! lori87 KOReader 6 05-12-2019 09:02 PM
launching koreader on Kobo Glo HD procyon KOReader 1 11-27-2017 10:18 AM
switchtokoreader returns to KSM rather than launching koreader? sockscap Kobo Developer's Corner 7 06-10-2017 08:49 AM


All times are GMT -4. The time now is 12:56 PM.


MobileRead.com is a privately owned, operated and funded community.